Patched src/setuid.c to allow for locking the screen as root.
--- a/src/setuid.c
+++ b/src/setuid.c
@@ -232,11 +232,11 @@ hack_uid (char **nolock_reason,
            of the xscreensaver manual titled "LOCKING AND ROOT LOGINS",
            and "USING XDM".
         */
-        if (getuid () == (uid_t) 0) {
+        /*if (getuid () == (uid_t) 0) {
                 reason = g_strdup ("running as root");
                 ret = FALSE;
                 goto out;
-        }
+        }*/
 
  out:
         if (nolock_reason != NULL) {
